import React from 'react';
import routes from './routes'
import {Outlet, useNavigate, useRoutes} from 'react-router-dom'
import useIpcRenderer from '../src/utils/useIpcRenderer'
import {dirAdd} from "./redux/dirMessage_reducer";
import {store} from "./redux/store";
function App() {

  let navigateFunction = useNavigate();
  function nativeTo(path){
    navigateFunction(path)
  }
  const redirectUrl =(event,args)=> {
    nativeTo(args)
  }
  const addNewDir =(event,args)=> {
    store.dispatch(dirAdd(args))
  }

  console.log("routes",routes)
  const element = useRoutes(routes)
  useIpcRenderer({'redirectUrl':redirectUrl})
  useIpcRenderer({'openDirectory':addNewDir})
  return (
    <>
      {/* 注册路由 */}
      {element}
    </>
  )

};
export default App;