import { createSlice } from '@reduxjs/toolkit'

export const dirMessageSlice = createSlice({
    name: 'dirMessage',
    initialState: {
        data: []
    },
    reducers: {
        dirAdd: (state, action) => {
            console.log("dirMessage:dirAdd", state, action)
            if(action.payload){
                // 路径跳转
                state.data=[...state.data,action.payload];
            }
            
        }
    }
})
export const { dirAdd } = dirMessageSlice.actions

export default dirMessageSlice.reducer
